org.springframework.cloud.dataflow.rest.client.dsl

## Class SkipperDeploymentPropertiesBuilder

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.dsl.AbstractPropertiesBuilder
  - - org.springframework.cloud.dataflow.rest.client.dsl.SkipperDeploymentPropertiesBuilder

-     public class SkipperDeploymentPropertiesBuilder
      extends AbstractPropertiesBuilder

  Author:
    Vinicius Carvalho Utility class to help building a Map of skipper based deployment properties

- - ### Field Summary

    - ### Fields inherited from class org.springframework.cloud.dataflow.rest.client.dsl.AbstractPropertiesBuilder

      `DEPLOYER_PREFIX, deploymentProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkipperDeploymentPropertiesBuilder()`
    `SkipperDeploymentPropertiesBuilder(Map<String,String> map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SkipperDeploymentPropertiesBuilder` | `count(String label, Integer instances)` Sets the number of instances of the target application.
    `SkipperDeploymentPropertiesBuilder` | `memory(String label, Integer memory)` Configures the memory size allocated for the application.
    `SkipperDeploymentPropertiesBuilder` | `packageVersion(String packageVersion)` Sets the package version to be used by skipper
    `SkipperDeploymentPropertiesBuilder` | `platformName(String platformName)` Sets the target platform to be used by skipper
    `SkipperDeploymentPropertiesBuilder` | `put(String key, String value)`
    `SkipperDeploymentPropertiesBuilder` | `putAll(Map<String,String> map)`
    `SkipperDeploymentPropertiesBuilder` | `repoName(String repoName)` Sets the repo name platform to be used by skipper

    - ### Methods inherited from class org.springframework.cloud.dataflow.rest.client.dsl.AbstractPropertiesBuilder

      `build`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkipperDeploymentPropertiesBuilder

          public SkipperDeploymentPropertiesBuilder()

    - #### SkipperDeploymentPropertiesBuilder

          public SkipperDeploymentPropertiesBuilder(Map<String,String> map)

  - ### Method Detail

    - #### put

          public SkipperDeploymentPropertiesBuilder put(String key,
                                                        String value)

    - #### putAll

          public SkipperDeploymentPropertiesBuilder putAll(Map<String,String> map)

    - #### memory

          public SkipperDeploymentPropertiesBuilder memory(String label,
                                                           Integer memory)

      Configures the memory size allocated for the application.
      Parameters:
        `label` - - The application name or label to configure the number of instances
        `memory` - - Memory size in Mb, must be greater or equal 128
      Returns:
        the instance of this SkipperDeploymentPropertiesBuilder

    - #### count

          public SkipperDeploymentPropertiesBuilder count(String label,
                                                          Integer instances)

      Sets the number of instances of the target application.
      Parameters:
        `label` - The application name or label to configure the number of instances
        `instances` - Number of instances, must be greater than zero
      Returns:
        the instance of this SkipperDeploymentPropertiesBuilder

    - #### platformName

          public SkipperDeploymentPropertiesBuilder platformName(String platformName)

      Sets the target platform to be used by skipper
      Parameters:
        `platformName` - the platform name
      Returns:
        the instance of this SkipperDeploymentPropertiesBuilder

    - #### packageVersion

          public SkipperDeploymentPropertiesBuilder packageVersion(String packageVersion)

      Sets the package version to be used by skipper
      Parameters:
        `packageVersion` - the package version
      Returns:
        the instance of this SkipperDeploymentPropertiesBuilder

    - #### repoName

          public SkipperDeploymentPropertiesBuilder repoName(String repoName)

      Sets the repo name platform to be used by skipper
      Parameters:
        `repoName` - the repo name
      Returns:
        the instance of this SkipperDeploymentPropertiesBuilder

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.